## sympl-mail 9.0.190605.0

=== Makefile ===

all: docs

man/%.man: ./sbin/%
	[ -d man ] || mkdir man
	RUBYLIB=./lib:../common/lib $<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

docs: man/sympl-mail-dict-proxy.man  man/sympl-mail-encrypt-passwords.man  man/sympl-mail-poppassd.man

clean:
	$(RM) exim4/exim4.conf
	$(RM) exim4/exim4.conf.tmp
	$(RM) dovecot/dovecot.conf
	$(RM) dovecot/dovecot.conf.tmp
	$(RM) -r man

test:
	cd sympl/test.d/ && ruby -I ../../../common/lib -I ../../lib ts_email.rb
	make -C exim4/   test
	make -C dovecot/ test

all_tests: test
	cd sympl/test.d/ && ruby -I ../../../common/lib -I ../../lib ts_email_live.rb

.PHONY: clean docs all test

=== dovecot/Makefile ===
program      := $(notdir $(CURDIR))
conf         := $(program).conf
conf_tmp     := $(conf).tmp
snippets_dir := sympl.d
snippets     := $(shell find $(CURDIR)/$(snippets_dir) -mindepth 1 -regextype posix-basic -type f -regex '.*/[a-z0-9][a-z0-9-]\+' | sort) 

ifeq ($(program),dovecot)
test_args = -a -c $(conf_tmp)
else ifeq ($(program),exim4)
test_args = -bV -C $(conf_tmp)
endif

all: $(conf)
	/usr/sbin/invoke-rc.d $(program) restart

$(conf): test
	@mv -fb $(conf_tmp) $(conf)

$(conf_tmp): distclean Makefile $(snippets)
	@touch $(conf_tmp)
	@for s in $(snippets) ; do \
	    echo "# ------------------------------------------------------------------------------" >>  $(conf_tmp)  ;\
	    echo "# $$s" >> $(conf_tmp)  ;\
	    echo "# ------------------------------------------------------------------------------" >>  $(conf_tmp)  ;\
	    echo >> $(conf_tmp)  ;\
	    cat $$s >> $(conf_tmp) ;\
	done

test: $(conf_tmp)
	@/usr/sbin/$(program) $(test_args) > /dev/null

distclean:
	@rm -f $(conf_tmp)

clean:
	@rm -f $(conf)

# We always want the temporary config to be remade.
.PHONY: $(conf_tmp) clean distclean test

.PRECIOUS: $(conf)

=== exim4/Makefile ===
program      := $(notdir $(CURDIR))
conf         := $(program).conf
conf_tmp     := $(conf).tmp
snippets_dir := sympl.d
snippets     := $(shell find $(CURDIR)/$(snippets_dir) -mindepth 1 -regextype posix-basic -type f -regex '.*/[a-z0-9][a-z0-9-]\+' | sort) 

ifeq ($(program),dovecot)
test_args = -a -c $(conf_tmp)
else ifeq ($(program),exim4)
test_args = -bV -C $(CURDIR)/$(conf_tmp)
endif

all: $(conf)
	/usr/sbin/invoke-rc.d $(program) restart

$(conf): test
	@mv -fb $(conf_tmp) $(conf)

#
# Add an explicit dependency on the header, to make sure that the snippets
# directory has at least that bit.
#
$(conf_tmp): distclean Makefile $(snippets) $(CURDIR)/$(snippets_dir)/00-header
	@touch $(conf_tmp)
	@for s in $(snippets) ; do \
	    echo "# ------------------------------------------------------------------------------" >>  $(conf_tmp)  ;\
	    echo "# $$s" >> $(conf_tmp)  ;\
	    echo "# ------------------------------------------------------------------------------" >>  $(conf_tmp)  ;\
	    echo >> $(conf_tmp)  ;\
	    cat $$s >> $(conf_tmp) ;\
	done

test: $(conf_tmp)
	@/usr/sbin/$(program) $(test_args) > /dev/null

distclean:
	@rm -f $(conf_tmp)

clean:
	@rm -f $(conf)

# We always want the temporary config to be remade.
.PHONY: $(conf_tmp) clean distclean test

.PRECIOUS: $(conf)

=== debian/changelog ===
sympl-mail (9.0.190605.0) stable; urgency=medium

  * Renamed package to sympl-mail
  * Replaced references to Symbiosis with Sympl

 -- Paul Cammish <sympl@kelduum.net>  Wed, 29 May 2019 14:19:00 +0100

symbiosis-email (2018:0615) stable; urgency=medium

  * Set 'keep_environment' in Exim config.  
  * Only restart clamav in postinst when 'antivirus' file present. 

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Fri, 15 Jun 2018 13:15:08 +0100

symbiosis-email (2017:0907) stable; urgency=medium

  * Remove duplicate cron job encrypting passwords.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 07 Sep 2017 12:18:45 +0100

symbiosis-email (2017:0904) stable; urgency=medium

  * Added ssl-hook to reload dovecot when any SSL certificates are renewed.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 04 Sep 2017 11:16:47 +0100

symbiosis-email (2017:0818) stable; urgency=medium

  * Added systemd-based clamav monit scripts.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 18 Aug 2017 18:21:44 +0100

symbiosis-email (2017:0510) stable; urgency=medium

  * Store monit configuration in /usr/share instead of /etc. Use symlinks to
    allow users to enable/disable but discourage editing

 -- Telyn <telyn@bytemark.co.uk>  Wed, 10 May 2017 13:42:15 +0100

symbiosis-email (2017:0424) stable; urgency=medium

  * Use central dhparam generation script to generate dhparams.
  * Auto-create standard mailboxes (Trash, Drafts, Sent, Spam) on first login.
  * Rewrite monit tasks to use new systemd integrations.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:20:08 +0100

symbiosis-email (2015:1218) oldstable; urgency=medium

  * Re-instate clamav tests that stop it if no domains are using anti-virus
    scanning.  Closes #49.
  * Fix path to binary in /etc/cron.d/symbiosis-email. Closes #72. 
  * Ensure manpages are built

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 13 Jul 2017 15:13:30 +0100

symbiosis-email (2015:1217) stable; urgency=medium

  * If pipe-delivery fails attempt to keep the failed message in the queue.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 28 Apr 2017 10:12:14 +0100

symbiosis-email (2015:1216) stable; urgency=medium

  * Removed further references to $HOSTNAME in tests.
  * Added ruby-cracklib as an install dependency.
  * Start services in tests with invoke-rc.d instead of service.
  * Tidy how the hostname is set during testing.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 19 Apr 2017 10:39:29 +0100

symbiosis-email (2015:1215) stable; urgency=medium

  * Allow underscores in DKIM selectors.
  * Allow wildcard whitelisting/blacklistng.
  * Added further black/whitelist tests for bad domains.
  * Fixed a bug where blacklsted hostnames were not getting checked.
  * Updated cipher lists.
  * Fix typo ensuring tagged spam does get moved to Spam folder.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 22 Nov 2016 12:16:24 +0000

symbiosis-email (2015:1214) stable; urgency=low

  * Bug fix in the Exim4 vhost-default-forward router. Should check if these
    home directories exist before setting them.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 09 Aug 2016 12:39:11 +0100

symbiosis-email (2015:1213) stable; urgency=medium

  * Fixed incompatibility with updated exim4 (#12673).

 -- James Carter <jcarter@bytemark.co.uk>  Thu, 17 Mar 2016 13:37:26 +0000

symbiosis-email (2015:1212) stable; urgency=medium

  * Fixed symbiosis-email-encrypt-passwords not to have $VERBOSE flag set
    permanently.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 03 Feb 2016 13:40:49 +0000

symbiosis-email (2015:1211) stable; urgency=medium

  * Removed useless test files from /etc/symbiosis/test.d/exim4_acl_tests.
  * Home direcotory now set for the vhost_vacation router in Exim.
  * Updated usage of get_param to match new spec in symbiosis-common.
  * Exim was using the whole hostname instead of the first component in as the
    DKIM selector, which differed from how symbiosis-dns was doing things.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 14 Jan 2016 16:46:05 +0000

symbiosis-email (2015:1118) stable; urgency=medium

  * Updated the interface expansion in the remote_smtp transports to work.  It
    turns out $value gets reset outside the ${extract } expansion.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 18 Nov 2015 14:30:10 +0000

symbiosis-email (2015:1104) stable; urgency=medium

  * Changed SSL certificate and key paths in Exim4 and Dovecot to use
    /etc/ssl/ssl.combined, which should include the certificate, bundle (where
    appropriate) and key.
  * Add Debian-exim user to ssl-cert group so it can read the keys in
    /etc/ssl.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 05 Nov 2015 14:21:09 +0000

symbiosis-email (2015:1029) stable; urgency=medium

  * Local users no longer have to append the hostname to their logins for them
    to work.
  * Added tests for the dict proxy server.
  * Added dependency for latest common package to get Symbiosis::Host#fqdn.
  * The poppassd and dict-proxy daemons are now managed by start-stop-daemon
    when sysvinit is used.
  * Users will shell accounts can login now with just their username, as the
    hostname is now added automatically.
  * The automatic password hashing program (symbiosis-email-encrypt-passwords)
    now skips empty passwords, and has a "verbose" flag to say what is going
    on.
  * Mail passwords are now automatically hashed on a daily basis.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 29 Oct 2015 16:13:32 +0000

symbiosis-email (2015:1021) stable; urgency=medium

  * Added poppassd to provide an interface to change mailbox passwords.
  * Fixed SMTP outgoing interface selection (closes #12298).
  * Added manpage for symbiosis-email-encrypt-passwords.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 21 Oct 2015 22:32:46 +0100

symbiosis-email (2015:1009) stable; urgency=medium



=== debian/control ===
Source: sympl-mail
Section: mail
Priority: extra
Maintainer: Paul Cammish <sympl@kelduum.net>
Uploaders: Paul Cammish <sympl@kelduum.net>
Build-Depends: debhelper (>= 7.0.0), txt2man, gem2deb, dh-systemd
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: sympl-mail
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: sympl-common, exim4-daemon-heavy (>= 4.84), dovecot-core (>= 1:2.2.0), dovecot-sieve, dovecot-managesieved, dovecot-imapd, dovecot-pop3d, adduser, make, clamav-daemon, clamav-freshclam, spamassassin, ruby, ruby-eventmachine (>= 1.0), ruby-password, ssl-cert, ${misc:Depends}
Recommends: sympl-webmail
Replaces: symbiosis-email
Provides: symbiosis-email
Conflicts: symbiosis-email
Description: virtual hosting solution for email
 This package contains the infrastructure and configuration for a
 virtual hosting setup with full support for:
 .
  * Virtual Hosting
  * Address Rewriting
  * IMAP + IMAPS
  * POP3 + POP3S
  * SMTP
  * Sieve

=== debian/rules ===
#!/usr/bin/make -f
#
# export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby,systemd

override_dh_auto_build-indep:
	$(MAKE) docs

override_dh_auto_clean:
	$(MAKE) clean

override_dh_systemd_enable:
	dh_systemd_enable -psympl-mail --name sympl-mail-dict-proxy sympl-mail-dict-proxy.service
	dh_systemd_enable -psympl-mail --name sympl-mail-poppassd sympl-mail-poppassd.service

override_dh_installinit:
	dh_installinit -R --name sympl-mail-dict-proxy
	dh_installinit -R --name sympl-mail-poppassd
